CREATE OR REPLACE PROCEDURE db_get_row_value (p_obj_name  IN   VARCHAR2,
                                              p_col_names IN   VARCHAR2, 
                                              p_row_num   IN   NUMBER,
					      p_tot_rows  OUT  NUMBER,
                                              p_row_value OUT  VARCHAR2) AS
/****************************************************************************************************
                                    Procedure db_get_row_value                               Rev 1.00
*****************************************************************************************************
Revision    Date(DD/MM/YYYY)    Changed by        Remarks
-----------------------------------------------------------------------------------------------------
Rev 1.00    30/06/2006          BHs               Created 
                                                  This procedure is used to execute query from given 
                                                  table's given row number in the parameter.  
-----------------------------------------------------------------------------------------------------
Note : This is just a practice procedure. This can be deleted anytime.

----------------
Parameters used:
1) p_obj_name  -  Enter table or view name.
2) p_col_names -  Columns to be selected are passed in this parameter.
3) p_row_num   -  Row numner of the table
4) p_row_value -  This is out parameter and value of the row is passed into this parameter.
****************************************************************************************************/
   lc_sqltxt         VARCHAR2(4000);
BEGIN
-------------------------------------------------------------------------------------------
--                          MAIN PROGRAM Starts...
-------------------------------------------------------------------------------------------
   lc_sqltxt := 'SELECT COUNT(*) FROM '||UPPER(p_obj_name);
   EXECUTE IMMEDIATE lc_sqltxt INTO p_tot_rows;
   lc_sqltxt := NULL;
   IF p_tot_rows > 0
   THEN
       lc_sqltxt := 'SELECT '||p_col_names||' cols FROM '||UPPER(p_obj_name)||' WHERE ROWID = (SELECT MAX(ROWID) FROM '||UPPER(p_obj_name)||' WHERE  ROWNUM <= '||p_row_num||')';
       EXECUTE IMMEDIATE lc_sqltxt INTO p_row_value;
   END IF;
END db_get_row_value;
/

SHOW ERROR
